## rtl8821au 5.12.5.2%2Bgit20220728

=== debian/changelog ===
rtl8821au (5.12.5.2+git20220728-1~mx21) mx; urgency=medium

  * Support added for kernels 5.19.2 -> 6.0

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 26 Aug 2022 12:26:00 -0400

rtl8821au (5.12.5.2+git20220728-0~mx21) mx; urgency=medium

  * Initial packaging for MX-Linux

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 09 Aug 2022 23:00:39 -0400
