## rtl8821au 5.12.5.2%2Bgit20221018

=== debian/changelog ===
rtl8821au (5.12.5.2+git20221018-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 29 Oct 2022 17:03:04 -0400

rtl8821au (5.12.5.2+git20221018-1~mx21) mx; urgency=medium

  * Support for kernel 6.1

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 29 Oct 2022 16:49:15 -0400
