## rtl8821au 5.12.5.2%2Bgit20230727

=== debian/changelog ===
rtl8821au (5.12.5.2+git20230727-1~mx23) mx; urgency=medium

  * Support for kernels 6.4.4 & 6.5

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 11 Aug 2023 21:29:28 -0400

rtl8821au (5.12.5.2+git20230523-1~mx23) mx; urgency=medium

  * Support for kernel 6.3
  * build for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 16 Jun 2023 19:41:15 -0400
