=== debian/changelog ===
rtl8821au (5.12.5.2+git20220728-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 26 Aug 2022 12:58:50 -0400
