=== debian/control ===
Source: rtl8821au
Section: misc
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends: debhelper-compat (= 13), dkms, dh-exec
Standards-Version: 4.1.3
Homepage: https://github.com/morrownr/8821au-20210708

Package: rtl8821au-dkms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms
Description: rtl8821au/rtl8811au driver in DKMS format.
 Driver for Realtek rtl8811au & rtl8821au wifi chipsets.
 This package contains the DKMS files to build and install rtl8821au.
