## rtl8821au 5.12.5.2+git20230727

=== debian/changelog ===
rtl8821au (5.12.5.2+git20230727-1~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 11 Aug 2023 21:58:11 -0400
