=== debian/changelog ===
rtl8821au (5.12.5.2+git20240121-1~mx23) mx; urgency=medium

  * Support for 6.7 kernel

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 24 Jan 2024 22:53:50 -0500
