=== debian/changelog ===
rtl8821au (5.12.5.2+git20240430-1~mx23) mx; urgency=medium

  * Support for 6.9 kernel

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 05 Jun 2024 17:15:37 -0400
