## rtl8821au 5.12.5.2+git20250304

=== debian/changelog ===
rtl8821au (5.12.5.2+git20250304-0~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 05 Mar 2025 21:48:26 +0000

rtl8821au (5.12.5.2+git20250304-0~mx23) mx; urgency=medium

  * Support for kernel 6.13

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 05 Mar 2025 21:39:28 +0000
